<p>
  In this page we deals with @input ,@output and @viewchild implemenation with data transfer between parent child components.
</p>

<div>
  {{childmessage}}
</div>

<div>
  <app-child [message]="message" (childmessage)="childmessages($event)"></app-child>
</div>